# Package org.apache.nutch.protocol

Classes related to the `Protocol` interface, see also `org.apache.nutch.net.protocols`.

- Interface Summary
  Interface | Description
  --- | ---
  Protocol | A retriever of url content.

- Class Summary
  Class | Description
  --- | ---
  Content |
  ProtocolFactory | Creates and caches `Protocol` plugins.
  ProtocolOutput | Simple aggregate to pass from protocol plugins both content and protocol status.
  ProtocolStatus |
  RobotRulesParser | This class uses crawler-commons for handling the parsing of `robots.txt` files.

- Exception Summary
  Exception | Description
  --- | ---
  ProtocolException |
  ProtocolNotFound |